Index: code/trunk/visual_studio/vc8/network.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/network.vcproj	(revision 1567)
+++ code/trunk/visual_studio/vc8/network.vcproj	(revision 1735)
@@ -147,109 +147,17 @@
 			</File>
 			<File
-				RelativePath="..\..\src\network\dummyclient.cc"
-				>
-				<FileConfiguration
-					Name="Debug|Win32"
-					ExcludedFromBuild="true"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Release|Win32"
-					ExcludedFromBuild="true"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-					/>
-				</FileConfiguration>
-			</File>
-			<File
-				RelativePath="..\..\src\network\dummyclient2.cc"
-				>
-				<FileConfiguration
-					Name="Debug|Win32"
-					ExcludedFromBuild="true"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Release|Win32"
-					ExcludedFromBuild="true"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-					/>
-				</FileConfiguration>
-			</File>
-			<File
-				RelativePath="..\..\src\network\dummyclient3.cc"
-				>
-				<FileConfiguration
-					Name="Debug|Win32"
-					ExcludedFromBuild="true"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Release|Win32"
-					ExcludedFromBuild="true"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-					/>
-				</FileConfiguration>
-			</File>
-			<File
-				RelativePath="..\..\src\network\dummyserver.cc"
-				>
-				<FileConfiguration
-					Name="Debug|Win32"
-					ExcludedFromBuild="true"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Release|Win32"
-					ExcludedFromBuild="true"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-					/>
-				</FileConfiguration>
-			</File>
-			<File
-				RelativePath="..\..\src\network\dummyserver3.cc"
-				>
-				<FileConfiguration
-					Name="Debug|Win32"
-					ExcludedFromBuild="true"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Release|Win32"
-					ExcludedFromBuild="true"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-					/>
-				</FileConfiguration>
-			</File>
-			<File
-				RelativePath="..\..\src\network\GameStateClient.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\network\GameStateManager.cc"
+				RelativePath="..\..\src\network\GamestateClient.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\network\GamestateHandler.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\network\GamestateManager.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\network\Host.cc"
 				>
 			</File>
@@ -259,12 +167,4 @@
 			</File>
 			<File
-				RelativePath="..\..\src\network\PacketDecoder.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\network\PacketGenerator.cc"
-				>
-			</File>
-			<File
 				RelativePath="..\..\src\network\Server.cc"
 				>
@@ -274,4 +174,32 @@
 				>
 			</File>
+			<Filter
+				Name="packet"
+				>
+				<File
+					RelativePath="..\..\src\network\packet\Acknowledgement.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\network\packet\Chat.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\network\packet\ClassID.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\network\packet\Gamestate.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\network\packet\Packet.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\network\packet\Welcome.cc"
+					>
+				</File>
+			</Filter>
 		</Filter>
 		<Filter
@@ -297,9 +225,21 @@
 			</File>
 			<File
-				RelativePath="..\..\src\network\GameStateClient.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\network\GameStateManager.h"
+				RelativePath="..\..\src\network\GamestateClient.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\network\GamestateHandler.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\network\GamestateManager.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\network\Host.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\network\NetworkCallback.h"
 				>
 			</File>
@@ -313,12 +253,4 @@
 			</File>
 			<File
-				RelativePath="..\..\src\network\PacketManager.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\network\PacketTypes.h"
-				>
-			</File>
-			<File
 				RelativePath="..\..\src\network\Server.h"
 				>
@@ -328,4 +260,32 @@
 				>
 			</File>
+			<Filter
+				Name="packet"
+				>
+				<File
+					RelativePath="..\..\src\network\packet\Acknowledgement.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\network\packet\Chat.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\network\packet\ClassID.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\network\packet\Gamestate.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\network\packet\Packet.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\network\packet\Welcome.h"
+					>
+				</File>
+			</Filter>
 		</Filter>
 	</Files>
